# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Errno.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-POE-Component-Client-Keepalive
%define real_ver 0.271
# Keep four digits to stay above the unfortunate 0.0901,
# so that epoch need not be changed.
Version:        %{real_ver}0
Release:        alt1_4
Summary:        Manages and keeps alive client connections
Group:          Development/Perl
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/POE-Component-Client-Keepalive
Source0:        http://search.cpan.org/CPAN/authors/id/R/RC/RCAPUTO/POE-Component-Client-Keepalive-%{real_ver}.tar.gz
BuildArch:      noarch
# core
BuildRequires:  perl(constant.pm)
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(IO/Socket/INET.pm)
BuildRequires:  perl(Net/IP/Minimal.pm)
BuildRequires:  perl(POE.pm)
BuildRequires:  perl(POE/Component/Resolver.pm)
BuildRequires:  perl(POE/Component/Server/TCP.pm)
BuildRequires:  perl(POE/Component/SSLify.pm)
BuildRequires:  perl(POE/Wheel/ReadWrite.pm)
BuildRequires:  perl(POE/Wheel/SocketFactory.pm)
BuildRequires:  perl(Socket.pm)
BuildRequires:  perl(Test/More.pm)
Requires:       perl(Net/IP/Minimal.pm) >= 0.02
Requires:       perl(POE.pm) >= 1.311
Requires:       perl(POE/Component/Resolver.pm) >= 0.917
# Satisfy automaticly generated requires that want this module >= 0.0901
# (So the package has this provide in two versions, oh well.)
Provides:       perl(POE/Component/Client/Keepalive.pm) = %{version}





Source44: import.info
%filter_from_requires /^perl\\(Net.IP.Minimal.pm\\)/d
%filter_from_requires /^perl\\(POE.pm\\)/d
%filter_from_requires /^perl\\(POE.Component.Resolver.pm\\)/d

%description
POE::Component::Client::Keepalive creates and manages connections for other
components. It maintains a cache of kept-alive connections for quick reuse. It
is written specifically for clients that can benefit from kept-alive
connections, such as HTTP clients. Using it for one-shot connections would
probably be silly.

%prep
%setup -q -n POE-Component-Client-Keepalive-%{real_ver}
chmod -c -x mylib/* t/*
for test in t/release-pod-syntax.t \
            t/release-pod-coverage.t \
            t/000-report-versions.t; do
    sed -i 's/#!perl/#!\/usr\/bin\/perl/' ${test}
done

%build
perl Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'

%check
# I'm leaving all tests active for now, even though 09_timeout.t runs a test
# which is _supposed_ to timeout against google.com.  This may or may not
# work inside the buildsys; if it doesn't the cure should be as easy as nixing
# this one test.
make test

%files
%doc CHANGES README mylib/ t/
%{perl_vendor_privlib}/*

%changelog
* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.2710-alt1_4
- update to new release by fcimport

* Sun May 27 2012 Igor Vlasenko <viy@altlinux.ru> 0.2710-alt1_2
- fc import

